Skip to content

Update User

PUT
/api/Users/{id}
curl --request PUT \
--url https://example.com/api/Users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "email": "hello@example.com", "role": "Owner", "isActive": true }'

Updates a staff user’s profile and role. Set IsActive to false to revoke access.

id
required
string format: uuid

The user’s unique identifier.

Updated user data.

object
id
string format: uuid
firstName
required
string
>= 1 characters <= 100 characters
lastName
required
string
>= 1 characters <= 100 characters
email
required
string format: email
>= 1 characters <= 256 characters
role
required
string
Allowed values: Owner Admin Staff Viewer
isActive
required
boolean

User updated successfully.

Media type application/json
object
id
string format: uuid
merchantId
string format: uuid
email
string
nullable
firstName
string
nullable
lastName
string
nullable
fullName
string
nullable
role
string
Allowed values: Owner Admin Staff Viewer
isActive
boolean
lastLoginAt
string format: date-time
nullable
createdAt
string format: date-time
updatedAt
string format: date-time
Example
{
"role": "Owner"
}

Validation failed — check the errors object.

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Forbidden

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

No user with the given ID exists.

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}